Package com.trilead.ssh2

# Interface ConnectionMonitor

public interface ConnectionMonitor
A `ConnectionMonitor` is used to get notified when the underlying socket of a connection is closed.

## Method Summary

Modifier and Type
Method
Description
`void`
`connectionLost(Throwable reason)`
This method is called after the connection's underlying socket has been closed.

## Method Details

### connectionLost

void connectionLost(Throwable reason)
This method is called after the connection's underlying socket has been closed. E.g., due to the `Connection.close()` request of the user, if the peer closed the connection, due to a fatal error during connect() (also if the socket cannot be established) or if a fatal error occured on an established connection.

This is an experimental feature.

You MUST NOT make any assumption about the thread that invokes this method.

Please note: if the connection is not connected (e.g., there was no successful connect() call), then the invocation of `Connection.close()` will NOT trigger this method.

Parameters:
  `reason` - Includes an indication why the socket was closed.
See Also:
  - `Connection.addConnectionMonitor(ConnectionMonitor)`